<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 
if (isset($_GET['uz'])) {
    $uz = check($_GET['uz']);
} elseif (isset($_POST['uz'])) {
    $uz = check($_POST['uz']);
} else {
    $uz = "";
} 

show_title('site.png', 'Рейтинг авторитетов');
$config['newtitle'] = 'Рейтинг авторитетов';
# ###########################################################################################
# #                                    Вывод пользователей                                 ##
# ###########################################################################################
$total = DB :: $dbh -> querySingle("SELECT count(*) FROM `users`;");

if ($total > 0) {
    if ($start >= $total) {
        $start = 0;
    } 

    $queryusers = DB :: $dbh -> query("SELECT * FROM `users` ORDER BY `users_rating` DESC, `users_login` ASC LIMIT " . $start . ", " . $config['avtorlist'] . ";");

    $i = 0;
    while ($data = $queryusers -> fetch()) {
        ++$i;

        $gender = ($data['users_gender'] == 'М') ? 'user.gif' : (($data['users_gender'] == 'Ж') ? 'female.gif' : 'anonim.gif');

        echo '<div class="b">' . ($start + $i) . '. <img src="../images/img/' . $gender . '" alt="image" /> ';

        if ($uz == $data['users_login']) {
            echo '<b><big><a href="../pages/anketa.php?uz=' . $data['users_login'] . '&amp;' . SID . '"><span style="color:#ff0000">' . nickname($data['users_login']) . '</span></a></big></b> (Авторитет: ' . ($data['users_rating']) . ')</div>';
        } else {
            echo '<b><a href="../pages/anketa.php?uz=' . $data['users_login'] . '&amp;' . SID . '">' . nickname($data['users_login']) . '</a></b> (Авторитет: ' . ($data['users_rating']) . ')</div>';
        } 

        echo '<div>Плюсов: ' . $data['users_posrating'] . ' / Минусов: ' . $data['users_negrating'] . '<br />';
        echo 'Дата регистрации: ' . date_fixed($data['users_joined'], 'j F Y') . '</div>';
    } 

    page_jumpnavigation('avtorlist.php?', $config['avtorlist'], $start, $total);
    page_strnavigation('avtorlist.php?', $config['avtorlist'], $start, $total);
    # ###########################################################################################
    # #                                 Поиск пользователя                                     ##
    # ###########################################################################################
    if (empty($uz)) {
        echo '<div class="form">';
        echo '<b>Поиск пользователя:</b><br />';
        echo '<form action="avtorlist.php?start=' . $start . '&amp;' . SID . '" method="post">';
        echo '<input type="text" name="uz" value="' . $log . '" />';
        echo '<input type="submit" value="Искать" /></form></div><br />';
    } else {
        $queryuser = DB :: $dbh -> querySingle("SELECT `users_id` FROM `users` WHERE `users_login`=? LIMIT 1;", array($uz));
        if (!empty($queryuser)) {
            $queryrating = DB :: $dbh -> query("SELECT `users_login` FROM `users` ORDER BY `users_rating` DESC, `users_login` ASC;");
            $ratusers = $queryrating -> fetchAll(PDO :: FETCH_COLUMN);

            foreach ($ratusers as $key => $ratval) {
                if ($uz == $ratval) {
                    $rat = $key + 1;
                } 
            } 

            if (!empty($rat)) {
                $page = floor(($rat - 1) / $config['avtorlist']) * $config['avtorlist'];

                if ($start != $page) {
                    header ("Location: avtorlist.php?start=$page&uz=$uz&" . SID);
                    exit;
                } 

                echo '<span style="color:#00ff00">Позиция в рейтинге:</span> <b>' . ($rat) . '</b><br /><br />';
            } else {
                show_error('Пользователь с данным логином не найден!');
            } 
        } else {
            show_error('Пользователь с данным логином не зарегистрирован!');
        } 

        echo '<a href="avtorlist.php?start=' . $start . '&amp;' . SID . '">Искать еще</a><br /><br />';
    } 

    echo 'Всего пользователей: <b>' . $total . '</b><br /><br />';
} else {
    show_error('Пользователей еще нет!');
} 

echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ("../themes/" . $config['themes'] . "/foot.php");

?>
